Package ru.bitel.bgbilling.modules.voiceip.server.bean

# Class VoiceIpReportUtils

java.lang.Object
bitel.billing.server.call.bean.ReportUtils
ru.bitel.bgbilling.modules.voiceip.server.bean.VoiceIpReportUtils

    public class VoiceIpReportUtils
    extends ReportUtils

- ## Field Summary

  ### Fields inherited from class bitel.billing.server.call.bean.ReportUtils

  `con, loginManager, mid, moduleSetup, unit, unit_scale`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `VoiceIpReportUtils​(java.sql.Connection con, int mid, Preferences moduleSetup)` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `void` | `addLoginsAmounts​(Period period, int cid, java.util.Map<java.lang.String,​java.lang.Object> dataMap, java.lang.String module, java.lang.String filter)` |
  `void` | `addLoginsAmounts​(Period period, int cid, org.w3c.dom.Element data, java.lang.String module, java.lang.String filter)` |
  `void` | `addSessions​(java.sql.ResultSet rs, org.w3c.dom.Element data)` |
  `int` | `addSums​(org.w3c.dom.Element data, java.util.List<java.lang.Integer> lids, Period per, java.lang.String filter)` |

  ### Methods inherited from class bitel.billing.server.call.bean.ReportUtils

  `addSessions, getLoginManager, getReportUtils, getSessionsColSumTimeTinTout, getSessionsColSumTimeTinTout, getSessionTableName, selectSomethingFromSessions, selectSomethingFromSessions, selectSomthFromSessions, selectSomthFromSessions, setUnit`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### VoiceIpReportUtils

    public VoiceIpReportUtils​(java.sql.Connection con, int mid, Preferences moduleSetup)

- ## Method Details

  - ### addSessions

    public void addSessions​(java.sql.ResultSet rs, org.w3c.dom.Element data)
    Overrides:
      `addSessions` in class `ReportUtils`
    See Also:
      `ReportUtils.addSessions(java.sql.ResultSet, org.w3c.dom.Element)`

  - ### addLoginsAmounts

    public void addLoginsAmounts​(Period period, int cid, org.w3c.dom.Element data, java.lang.String module, java.lang.String filter) throws java.sql.SQLException
    Specified by:
      `addLoginsAmounts` in class `ReportUtils`
    Throws:
      `java.sql.SQLException`
    See Also:
      `ReportUtils.addLoginsAmounts(bitel.billing.server.util.MonthPeriod, int, org.w3c.dom.Element, java.lang.String, java.lang.String)`

  - ### addLoginsAmounts

    public void addLoginsAmounts​(Period period, int cid, java.util.Map<java.lang.String,​java.lang.Object> dataMap, java.lang.String module, java.lang.String filter) throws java.sql.SQLException
    Specified by:
      `addLoginsAmounts` in class `ReportUtils`
    Throws:
      `java.sql.SQLException`
    See Also:
      `ReportUtils.addLoginsAmounts(bitel.billing.server.util.MonthPeriod, int, java.util.Map, java.lang.String, java.lang.String)`

  - ### addSums

    public int addSums​(org.w3c.dom.Element data, java.util.List<java.lang.Integer> lids, Period per, java.lang.String filter) throws java.sql.SQLException
    Specified by:
      `addSums` in class `ReportUtils`
    Throws:
      `java.sql.SQLException`
    See Also:
      `ReportUtils.addSums(org.w3c.dom.Element, java.util.List, bitel.billing.server.util.MonthPeriod, java.lang.String)`